# Info for testing with grpcurl

https://github.com/fullstorydev/grpcurl

###

'grpcurl -d '{"myKmsName" : "grpcurl"}' --import-path ./kmsetsiproto --proto kmsetsiproto.proto  --plaintext localhost:50900  kmsetsiproto.KmsETSI.ETSICapabilities
{  "peerKmsName": "whatever"}'

'grpcurl -d '{"kmsPeerSocket" : "127.0.0.1:50901"}' --import-path ./kmsetsiproto --proto kmsetsiproto.proto  --plaintext localhost:50900  kmsetsiproto.KmsETSI.ETSIAddKMSPeer'

## Assign Forwarding for example
'grpcurl -d '{"kmsPeerSocket" : "127.0.0.1:50901"}' --import-path ./kmsetsiproto --proto kmsetsiproto.proto  --plaintext localhost:50900  kmsetsiproto.KmsETSI.ETSIAddKMSPeer'

### From left to middle
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "[::1]:50932"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50900  kmsetsi.KmsETSI.ETSIAssignForwarding`
### Left is endpoint
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "", "previousHop" : "[::1]50932"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50900  kmsetsi.KmsETSI.ETSIAssignForwarding`
### From right to middle
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "[::1]:50932"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50901  kmsetsi.KmsETSI.ETSIAssignForwarding`
### Right is endpoint
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "", "previousHop" : "[::1]50932"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50901  kmsetsi.KmsETSI.ETSIAssignForwarding`
### From middle to left
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "[::1]:50930", "previousHop": "[::1]:50931"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50902  kmsetsi.KmsETSI.ETSIAssignForwarding`
### From middle to right
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "nextHop" : "[::1]:50931", "previousHop": "[::1]:50930"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50902  kmsetsi.KmsETSI.ETSIAssignForwarding`

## Send a payload for example
### send from left
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "payload" : "a_simple_test"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50900  kmsetsi.KmsETSI.ETSISendPayload`
### send from right
`grpcurl -d '{"pathId" : "f6a575e5-c7f9-4765-8890-134ae5b8f451", "payload" : "a_simple_test"}' --import-path ./kmsetsi --proto kmsetsiproto.proto  --plaintext [::1]:50901  kmsetsi.KmsETSI.ETSISendPayload`
