package kms

import "fmt"

func randomItemFromMap[T comparable, M any](m map[T]M) (M, error) {
	for _, item := range m {
		return item, nil
	}

	var r M
	return r, fmt.Errorf("Could not return a random item from map %v", m)
}

func randomItemFromMapAndRemove[T comparable, M any](m map[T]M) (M, error) {
	for key, item := range m {
		delete(m, key)
		return item, nil
	}

	var r M
	return r, fmt.Errorf("Could not return a random item from map %v and delete it.", m)
}

func keysOfMap[T comparable, M any](m map[T]M) []T {
	keys := make([]T, len(m))

	i := 0
	for k := range m {
		keys[i] = k
		i++
	}

	return keys
}
